--- GiveConsole.orig	Thu Oct 11 21:56:53 2018
+++ GiveConsole	Thu Jan 31 22:39:52 2019
@@ -3,9 +3,7 @@
 # $OpenBSD: GiveConsole,v 1.2 2018/07/11 19:20:40 matthieu Exp $
 #
-# By convention, both xconsole and xterm -C check that the
-# console is owned by the invoking user and is readable before attaching
-# the console output.  This way a random user can invoke xterm -C without
-# causing serious grief.
-#
+
+pkill xclock
+
 chown $USER /dev/console
 if [ -c /dev/drm0 ]; then
--- Xresources.orig	Thu Jan 31 22:48:55 2019
+++ Xresources	Thu Jan 31 23:09:53 2019
@@ -1,137 +1,75 @@
-! $OpenBSD: Xresources.in,v 1.1 2017/07/26 21:14:54 matthieu Exp $
+! ----------------------------------------------------------------------
+! ThinkPad colorscheme
+! Picture: https://icdn3.digitaltrends.com/image/lenovo-thinkpad-x260-pointer1-1500x1000.jpg
+! ColorThief: https://lokeshdhakar.com/projects/color-thief/
 !
-!
-!
-!
-!
 
+#define WHITE	#EDF6E6
+#define BLACK	#252123
+#define RED	#DA9B9A
+#define BLUE	#7AADD9
+#define DKBLUE	#6187AD
+#define GREY	#54697F
+#define DKGREY	#4A566B
 
+xroot.background: BLACK
 
+! ----------------------------------------------------------------------
+! XLogin
+!
 
-xlogin*login.translations: #override \
-	Ctrl<Key>R: abort-display()\n\
-	<Key>F1: set-session-argument(failsafe) finish-field()\n\
-	<Key>Left: move-backward-character()\n\
-	<Key>Right: move-forward-character()\n\
-	<Key>Home: move-to-begining()\n\
-	<Key>End: move-to-end()\n\
-	Ctrl<Key>KP_Enter: set-session-argument(failsafe) finish-field()\n\
-	<Key>KP_Enter: set-session-argument() finish-field()\n\
-	Ctrl<Key>Return: set-session-argument(failsafe) finish-field()\n\
-	<Key>Return: set-session-argument() finish-field()
+xlogin.Login.allowRootLogin: false
 
-xlogin*greeting: CLIENTHOST
-xlogin*namePrompt: \040\040\040\040\040\040\040Login:
-xlogin*fail: Login incorrect or forbidden
+xlogin.Login.echoPasswd:   false
+xlogin.Login.fail:         Authorization failed
+xlogin.Login.greeting:     CLIENTHOST
+xlogin.Login.namePrompt:   \040\040\040\040\040\040Login:\040
+xlogin.Login.passwdPrompt: Password:\040
 
+xlogin*borderWidth:            0
+xlogin.Login.frameWidth:       0
+xlogin.Login.innerFramesWidth: 0
+xlogin.Login.sepWidth:         0
+
+xlogin.Login.background:  DKBLUE
+xlogin.Login.failColor:   RED
+xlogin.Login.foreground:  WHITE
+xlogin.Login.greetColor:  WHITE
+xlogin.Login.inpColor:    BLUE
+xlogin.Login.promptColor: WHITE
+
 #if WIDTH > 800
-xlogin*greetFont: -adobe-helvetica-bold-o-normal--24-240-75-75-p-138-iso8859-1
-xlogin*font: -adobe-helvetica-medium-r-normal--18-180-75-75-p-98-iso8859-1
-xlogin*promptFont: -adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1
-xlogin*failFont: -adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1
-xlogin*greetFace:       DejaVu Sans Condensed-22:bold:italic:dpi=75
-xlogin*face:            DejaVu Sans Condensed-16:dpi=75
-xlogin*promptFace:      DejaVu Sans Condensed-16:bold:dpi=75
-xlogin*failFace:        DejaVu Sans Condensed-16:bold:dpi=75
+xlogin.Login.face:       DejaVu Sans-12
+xlogin.Login.failFace:   DejaVu Sans-12:bold
+xlogin.Login.greetFace:  DejaVu Sans-16:bold
+xlogin.Login.promptFace: DejaVu Sans-12
 #else
-xlogin*greetFont: -adobe-helvetica-bold-o-normal--17-120-100-100-p-92-iso8859-1
-xlogin*font: -adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-1
-xlogin*promptFont: -adobe-helvetica-bold-r-normal--12-120-75-75-p-70-iso8859-1
-xlogin*failFont: -adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1
-xlogin*greetFace:       DejaVu Sans Condensed-18:bold:italic:dpi=75
-xlogin*face:            DejaVu Sans Condensed-12:dpi=75
-xlogin*promptFace:      DejaVu Sans Condensed-12:bold:dpi=75
-xlogin*failFace:        DejaVu Sans Condensed-12:bold:dpi=75
+xlogin.Login.face:       DejaVu Sans-10
+xlogin.Login.failFace:   DejaVu Sans-10:bold
+xlogin.Login.greetFace:  DejaVu Sans-14:bold
+xlogin.Login.promptFace: DejaVu Sans-10
 #endif
 
-#if !(defined(bpp1) || defined(bpp4) || defined(bpp8) || defined(bpp15))
-# if PLANES < 4
-#  ifndef bpp1
-#   define bpp1
-#  endif
-# else
-#  if PLANES > 4
-#   if PLANES > 8
-#    ifndef bpp15
-#     define bpp15
-#    endif
-#   else
-#    ifndef bpp8
-#     define bpp8
-#    endif bpp8
-#   endif
-#  else
-#   ifndef bpp4
-#    define bpp4
-#   endif
-#  endif
-# endif
-#endif  /* If manual override */
+xlogin*logoFileName: /etc/X11/xenodm/pixmaps/OpenBSD_15bpp.xpm
+xlogin*logoPadding: 0
 
-#ifndef bpp1
-xlogin*borderWidth: 1
-xlogin*frameWidth: 2
-xlogin*innerFramesWidth: 0
+! ----------------------------------------------------------------------
+! XClock
+!
 
-xlogin.Login.sepWidth: 0
+xclock*background:       BLACK
+xclock*borderWidth:      0
+xclock*foreground:       WHITE
+xclock*geometry:         -0+0
 
-! top/left border
-xlogin*hiColor: #667788
+xclock.Clock.analog:     false
+xclock.Clock.chime:      false
+xclock.Clock.render:     true
+xclock.Clock.twentyfour: true
+xclock.Clock.update:     10
 
-! bottom/right border
-xlogin*shdColor: #667788
-
-! 'Welcome to..' text color
-xlogin*greetColor: #fef886
-#if defined(bpp4) || defined(bpp8) || defined(bpp15)
-! flood fill
-xlogin*background: #798a99
-xlogin*inpColor: #99aab9
-#endif
-xlogin*failColor: #aa0000
-
-! 'Login:' and 'Password:'
-*Foreground: #eeeeff
-
-! border/shadow
-*Background: #000000
+#if WIDTH > 800
+xclock.Clock.face: DejaVu Sans-12
 #else
-xlogin*borderWidth: 3
-xlogin*frameWidth: 5
-xlogin*innerFramesWidth: 1
-xlogin*shdColor: white
-xlogin*hiColor: white
-xlogin*greetColor: white
-xlogin*background: black
-xlogin*failColor: white
-xlogin*promptColor: white
-*Foreground: white
-*Background: black
+xclock.Clock.face: DejaVu Sans-10
 #endif
-#ifdef bpp1
-xlogin*logoFileName: /etc/X11/xenodm/pixmaps/OpenBSD_1bpp.xpm
-#endif
-#ifdef bpp4
-xlogin*logoFileName: /etc/X11/xenodm/pixmaps/OpenBSD_4bpp.xpm
-#endif
-#ifdef bpp8
-xlogin*logoFileName: /etc/X11/xenodm/pixmaps/OpenBSD_8bpp.xpm
-#endif
-#ifdef bpp15
-xlogin*logoFileName: /etc/X11/xenodm/pixmaps/OpenBSD_15bpp.xpm
-#endif
-
-xlogin*useShape: true
-xlogin*logoPadding: 10
-
-! uncomment to disable logins
-! xlogin.Login.allowRootLogin:	false
-
-XConsole*background:	black
-XConsole*foreground:	white
-XConsole*borderWidth:	2
-XConsole*borderColor:   grey
-XConsole.text.geometry:	480x130
-XConsole.verbose:	true
-XConsole*iconic:	true
-XConsole*font:		fixed
--- Xsetup_0.orig	Sun Feb  3 18:55:19 2019
+++ Xsetup_0	Sun Feb  3 19:02:30 2019
@@ -2,5 +2,6 @@
 # $OpenBSD: Xsetup_0,v 1.5 2018/07/17 11:52:12 matthieu Exp $
 
-xconsole -geometry 480x130-0-0 -daemon -notify -verbose -fn fixed -exitOnFail
+xrandr --output default --dpi 96
+xsetroot -solid $(xrdb -query | awk '/xroot.background/ { print $2 }')
 
-# sxpm OpenBSD.xpm &
+xclock -strftime "%a. %d %b. %Y   %H:%M " &
